Skip Menu |
 

This queue is for tickets about the DBIx-Class CPAN distribution.

Report information
The Basics
Id: 72282
Status: resolved
Priority: 0/
Queue: DBIx-Class

People
Owner: Nobody in particular
Requestors: w.phillip.moore [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.08195
Fixed in: 0.08196



Subject: Test::Builder version dependency is wrong
Download (untitled) / with headers
text/plain 720b
The specified dependency for Test::Builder in the META.yml file is 0.33, when I think it should be 0.94 at least. When building and testing 0.8195 with perl5.10.1, t/52leaks.t fails this test: Can't locate object method "is_passing" via package "Test::Builder" at t/52leaks.t line 360. Test::Builder in 5.10.1 is version 0.92, and doesn't have is_passing() Test::Builder in 5.12.4 is version 0.94, and DOES have is_passing() Simply installing the latest Test-Simple distribution resolves this of course, but the installation tools will incorrectly assume that the perl5.10.1 version of Test::Builder satisfies this dependency, when in fact it doesn't. I'd include a patch, but it's pretty obviously trivial....
Thanks, fix will ship some time today.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.